## cyrus-imapd-2.4 2.4.16

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.16-4+deb7u1) wheezy; urgency=high

  * Fix links in the README.Debian and UPGRADE.Debian (courtesy of Gijs
    Hillenius)
  * When piping data to while loop the subshell is created and variables
    are lost (Closes: #706862)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 May 2013 08:54:27 +0200

cyrus-imapd-2.4 (2.4.16-4) unstable; urgency=low

  * Update normalize patch to correctly set the normalize option in the
    global library (Closes: #702941)
  * Remove disabled DRAC from description

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Mar 2013 11:12:57 +0100

cyrus-imapd-2.4 (2.4.16-3) unstable; urgency=low

  * Use find -H instead of plain find to fix the permissions inside the
    sieve dir (Closes: #693507)
  * Really clean (instead of printing) the stale lock and proc directories
    (Closes: #629609)
  * Pull fix for crashes when fetching message parts (Closes: #700801)
  * Fix crash in sync client (found in upstream git)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Feb 2013 12:37:09 +0100

cyrus-imapd-2.4 (2.4.16-2) unstable; urgency=low

  [ Gregor Herrman ]
  * Add postinst scripts for all transitional packages to handle the 
    directory to symlink transition of their docdirs.
    (Closes: #690147)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 24 Oct 2012 18:50:42 +0200

cyrus-imapd-2.4 (2.4.16-1) unstable; urgency=low

  * Imported Upstream version 2.4.16

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Apr 2012 14:31:22 +0200

cyrus-imapd-2.4 (2.4.15-1) unstable; urgency=low

  * Imported Upstream version 2.4.15
  * Depend on dbX.Y-util to allow smooth upgrades (Closes: #663939)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Apr 2012 13:52:18 +0200

cyrus-imapd-2.4 (2.4.14-1) unstable; urgency=low

  [ Christoph Berg ]
  * Update watch file to point at cyrusimap.org. (Closes: #659690)
  * Remove myself from uploaders.

  [ Ondřej Surý ]
  * Depend on db-util (Closes: #663939)
  * Imported Upstream version 2.4.14
  * Refresh patches for 2.4.14 release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 16 Apr 2012 16:07:01 +0200
