## cyrus-imapd-2.4 2.4.17+caldav~beta7

=== debian/changelog ===
cyrus-imapd-2.4 (2.4.17+caldav~beta7-2) unstable; urgency=low

  * Upload to unstable

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Nov 2013 11:16:59 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta7-1) experimental; urgency=low

  * New upstream version 2.4.17+caldav~beta7
  * Update patches for 2.4.17+caldav~beta7 release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 Sep 2013 08:57:24 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta6-1) experimental; urgency=low

  * New upstream version 2.4.17+caldav~beta6
  * Update patches for 2.4.17+caldav~beta6 release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Jul 2013 08:41:36 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta5-2) experimental; urgency=low

  * Remove the last usage of cyrus-makedirs from postinst

 -- Ondřej Surý <ondrej@debian.org>  Tue, 11 Jun 2013 13:49:27 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta5-1) experimental; urgency=low

  * Imported Upstream version 2.4.17+caldav~beta5
    + Cyrus IMAPd now also support CalDAV, CardDAV and RSS.
  * debian/patches: Update patches for 2.4.17 release
  * debian/rules:
    + Build with generic libdb
    + Enable CalDAV, CardDAV and RSS support in Cyrus IMAPd
    + Disable ptclient/, it needs kerberos now
  * debian/control:
    + Add libxml2-dev and libopendkim-dev to Build-Depends
    + Remove useless quilt dependency
    + Remove Cyrus IMAPd 2.2 transitional packages
  * debian/cyrus.conf:
    + Add httpd to cyrus.conf running on 8008 and 8443 ports
  * debian/imapd.conf:
    + Enable CardDAV and CalDAV httpd modules by default

 -- Ondřej Surý <ondrej@debian.org>  Sun, 09 Jun 2013 12:09:20 +0200

cyrus-imapd-2.4 (2.4.16-5) unstable; urgency=high

  * Fix links in the README.Debian and UPGRADE.Debian (courtesy of Gijs
    Hillenius)
  * When piping data to while loop the subshell is created and variables
    are lost (Closes: #706862)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 May 2013 08:54:27 +0200
