=== debian/control ===
--- 
+++ 
@@ -7,30 +7,31 @@
 	   Benjamin Seidenberg <benjamin@debian.org>,
 	   Ondřej Surý <ondrej@debian.org>,
 	   Anthony Prades <toony.debian@chezouam.net>
-Standards-Version: 3.9.2
-Build-Depends: autoconf,
-	       automake,
-	       autotools-dev,
+Standards-Version: 3.9.4
+Build-Depends: dh-autoreconf,
 	       bison,
 	       comerr-dev,
-	       debhelper (>= 7.0.50~),
+	       debhelper (>= 9),
 	       flex,
 	       ghostscript,
 	       groff,
 	       hardening-wrapper,
 	       libdb-dev,
+	       libical-dev,
 	       libkvm-dev [kfreebsd-any],
-	       libldap2-dev,
+	       libopendkim-dev,
 	       libpam0g-dev,
 	       libsasl2-dev (>= 2.1.9),
 	       libsnmp-dev,
+	       libsqlite3-dev,
 	       libssl-dev,
 	       libtool (>= 2.2~),
+	       libxml2-dev,
 	       libwrap0-dev,
 	       libzephyr-dev,
 	       perl,
+	       pkg-config,
 	       po-debconf,
-	       quilt (>> 0.46-7~),
 	       transfig,
 	       xutils-dev
 Vcs-Git: git://git.debian.org/pkg-cyrus-imapd/cyrus-imapd-2.4.git
@@ -41,17 +42,16 @@
 Architecture: any
 Section: mail
 Depends: cyrus-common (>= ${source:Version}~), ssmtp | mail-transport-agent, netbase (>= 4.07), gawk, libsasl2-modules, ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
-Recommends: cyrus-imapd-2.4 | cyrus-pop3d-2.4 | cyrus-murder-2.4 | cyrus-nntpd-2.4 | cyrus-admin-2.4
-Suggests: cyrus-clients-2.4, cyrus-admin-2.4, cyrus-imapd-2.4, cyrus-pop3d-2.4, cyrus-murder-2.4, cyrus-replication-2.4, cyrus-nntpd-2.4, cyrus-doc-2.4, sasl2-bin, apt-listchanges (>= 2.35)
-Provides: cyrus-common-2.2, cyrus-common-2.3
-Conflicts: cyrus-common (<< ${source:Version}), suidmanager (<< 0.50), cyrus-common-2.2 (<< 2.4), cyrus-common-2.3
-Replaces: cyrus-common-2.2 (<< 2.4), cyrus-common-2.3
+Recommends: cyrus-imapd-2.4 | cyrus-pop3d-2.4 | cyrus-murder-2.4 | cyrus-nntpd-2.4 | cyrus-admin-2.4 | cyrus-caldav-2.4
+Suggests: cyrus-clients-2.4, cyrus-admin-2.4, cyrus-imapd-2.4, cyrus-pop3d-2.4, cyrus-murder-2.4, cyrus-replication-2.4, cyrus-nntpd-2.4, cyrus-caldav-2.4, cyrus-doc-2.4, sasl2-bin, apt-listchanges (>= 2.35)
+Conflicts: cyrus-common (<< ${source:Version}), suidmanager (<< 0.50)
 Description: Cyrus mail system - common files
  Cyrus is an IMAP server designed to handle massive quantities of mail,
  with a number of features not found in other IMAP implementations,
  including support for:
   - running the daemon without root privileges;
   - POP3 and NNTP in addition to plain IMAP;
+  - CalDAV and CardDAV;
   - secure IMAP using SSL;
   - server-side filtering with Sieve;
   - mail users without login accounts;
@@ -73,15 +73,16 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Provides: cyrus-doc, cyrus-doc-2.2, cyrus-doc-2.3
-Conflicts: cyrus-doc (<< ${source:Version}), cyrus-doc-2.2 (<< 2.4), cyrus-doc-2.3
-Replaces: cyrus-doc (<< ${source:Version}), cyrus-doc-2.2 (<< 2.4), cyrus-doc-2.3
+Provides: cyrus-doc
+Conflicts: cyrus-doc (<< ${source:Version})
+Replaces: cyrus-doc (<< ${source:Version})
 Description: Cyrus mail system - documentation files
  Cyrus is an IMAP server designed to handle massive quantities of mail,
  with a number of features not found in other IMAP implementations,
  including support for:
   - running the daemon without root privileges;
   - POP3 and NNTP in addition to plain IMAP;
+  - CalDAV and CardDAV;
   - secure IMAP using SSL;
   - server-side filtering with Sieve;
   - mail users without login accounts;
@@ -97,9 +98,9 @@
 Architecture: any
 Section: mail
 Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Provides: cyrus-imapd, imap-server, cyrus-imapd-2.2, cyrus-imapd-2.3
-Conflicts: cyrus-imapd (<< ${source:Version}), imap-server, cyrus-imapd-2.2 (<< 2.4), cyrus-imapd-2.3
-Replaces: cyrus-imapd (<< ${source:Version}), cyrus-imapd-2.2 (<< 2.4), cyrus-imapd-2.3, cyrus-common-2.4 (<< 2.4.8-6)
+Provides: cyrus-imapd, imap-server
+Conflicts: cyrus-imapd (<< ${source:Version}), imap-server
+Replaces: cyrus-imapd (<< ${source:Version}), cyrus-common-2.4 (<< 2.4.8-6)
 Breaks: cyrus-common (<< 2.4.8-6)
 Description: Cyrus mail system - IMAP support
  Cyrus is an IMAP server designed to handle massive quantities of mail,
@@ -107,6 +108,7 @@
  including support for:
   - running the daemon without root privileges;
   - POP3 and NNTP in addition to plain IMAP;
+  - CalDAV and CardDAV;
   - secure IMAP using SSL;
   - server-side filtering with Sieve;
   - mail users without login accounts;
@@ -123,15 +125,16 @@
 Architecture: any
 Section: mail
 Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Provides: cyrus-pop3d, pop3-server, cyrus-pop3d-2.2, cyrus-pop3d-2.3
-Conflicts: cyrus-pop3d (<< ${source:Version}), pop3-server, cyrus-pop3d-2.2 (<< 2.4), cyrus-pop3d-2.3
-Replaces: cyrus-pop3d (<< ${source:Version}), cyrus-pop3d-2.2 (<< 2.4), cyrus-pop3d-2.3
+Provides: cyrus-pop3d, pop3-server
+Conflicts: cyrus-pop3d (<< ${source:Version}), pop3-server
+Replaces: cyrus-pop3d (<< ${source:Version})
 Description: Cyrus mail system - POP3 support
  Cyrus is an IMAP server designed to handle massive quantities of mail,
  with a number of features not found in other IMAP implementations,
  including support for:
   - running the daemon without root privileges;
   - POP3 and NNTP in addition to plain IMAP;
+  - CalDAV and CardDAV;
   - secure IMAP using SSL;
   - server-side filtering with Sieve;
   - mail users without login accounts;
@@ -147,11 +150,11 @@
 Package: cyrus-admin-2.4
 Architecture: all
 Section: mail
-Depends: libcyrus-imap-perl24 (>= ${binary:Version}), ${misc:Depends}
+Depends: libcyrus-imap-perl24 (>= ${binary:Version}), ${misc:Depends}, ${perl:Depends}
 Suggests: sasl2-bin
-Provides: cyrus-admin, cyrus-admin-2.2, cyrus-admin-2.3
-Conflicts: cyrus-admin (<< ${source:Version}), cyrus-admin-2.2 (<< 2.4), cyrus-admin-2.3
-Replaces: cyrus-admin (<< ${source:Version}), cyrus-admin-2.2 (<< 2.4), cyrus-admin-2.3
+Provides: cyrus-admin
+Conflicts: cyrus-admin (<< ${source:Version})
+Replaces: cyrus-admin (<< ${source:Version})
 Description: Cyrus mail system - administration tools
  This package provides the administrative tools for the Cyrus IMAPd suite.
  It contains the cyradm tool which can be used to administer
@@ -166,9 +169,9 @@
 Architecture: any
 Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: cyrus-imapd-2.4 (= ${binary:Version}), cyrus-pop3d-2.4 (= ${binary:Version})
-Provides: cyrus-murder, cyrus21-murder, cyrus22-murder, cyrus-murder-2.2, cyrus-murder-2.3
-Conflicts: cyrus-murder (<< ${source:Version}), cyrus-murder-2.2 (<< 2.4), cyrus-murder-2.3
-Replaces: cyrus-murder (<< ${source:Version}), cyrus-murder-2.2 (<< 2.4), cyrus-murder-2.3
+Provides: cyrus-murder
+Conflicts: cyrus-murder (<< ${source:Version})
+Replaces: cyrus-murder (<< ${source:Version})
 Description: Cyrus mail system - proxies and aggregator
  This package contains the Cyrus IMAPd suite murder aggregator system,
  i.e. IMAP, POP3  and LMTP proxies, and the mupdate mailbox master daemon.
@@ -195,22 +198,35 @@
 Architecture: any
 Section: mail
 Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
-Provides: cyrus-nntpd, news-transport-system, cyrus-nntpd-2.2, cyrus-nntpd-2.3
-Conflicts: cyrus-nntpd (<< ${source:Version}), news-transport-system, cyrus-nntpd-2.2 (<< 2.4), cyrus-nntpd-2.3
-Replaces: cyrus-nntpd (<< ${source:Version}), cyrus-nntpd-2.2 (<< 2.4), cyrus-nntpd-2.3
+Provides: cyrus-nntpd, news-transport-system
+Conflicts: cyrus-nntpd (<< ${source:Version}), news-transport-system
+Replaces: cyrus-nntpd (<< ${source:Version})
 Description: Cyrus mail system - NNTP support
  This package contains the NNTP (Network News Transfer Protocol) portion of
  the Cyrus IMAPd suite.
  .
  For more information, please see the cyrus-common-2.4 package.
 
+Package: cyrus-caldav-2.4
+Architecture: any
+Section: mail
+Depends: cyrus-common-2.4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Provides: cyrus-caldav
+Conflicts: cyrus-caldav (<< ${source:Version})
+Replaces: cyrus-caldav (<< ${source:Version})
+Description: Cyrus mail system - CalDAV and CardDAV support
+ This package contains the CalDAV and CardDAV portion of the Cyrus
+ IMAPd suite.
+ .
+ For more information, please see the cyrus-common-2.4 package.
+
 Package: cyrus-clients-2.4
 Architecture: any
 Section: mail
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: cyrus-clients, cyrus-clients-2.2, cyrus-clients-2.3
-Conflicts: cyrus-clients (<< ${source:Version}), cyrus-clients-2.2 (<< 2.4), cyrus-clients-2.3
-Replaces: cyrus-clients (<< ${source:Version}), cyrus-clients-2.2 (<< 2.4), cyrus-clients-2.3
+Provides: cyrus-clients
+Conflicts: cyrus-clients (<< ${source:Version})
+Replaces: cyrus-clients (<< ${source:Version})
 Description: Cyrus mail system - test clients
  This package contains client tools to test the Cyrus IMAPd suite.
  It contains the mupdatetest, sivtest, smtptest, lmtptest,
@@ -224,9 +240,9 @@
 Architecture: any
 Section: devel
 Depends: libcyrus-imap-perl24 (>= ${binary:Version}), cyrus-common-2.4 (= ${binary:Version}), libsasl2-dev (>= 2.1.9), ${misc:Depends}
-Provides: cyrus-dev, cyrus-dev-2.2, cyrus-dev-2.3
-Conflicts: cyrus-dev (<< ${source:Version}), cyrus-dev-2.2 (<< 2.4), cyrus-dev-2.3, libdb3-dev (<< 3.2.9-15), libdb2-dev (<< 2.7.7.0-6), libdb4.2-dev (<<4.2.52)
-Replaces: cyrus-dev (<< ${source:Version}), cyrus-dev-2.2 (<< 2.4), cyrus-dev-2.3
+Provides: cyrus-dev
+Conflicts: cyrus-dev (<< ${source:Version})
+Replaces: cyrus-dev (<< ${source:Version})
 Description: Cyrus mail system - developer files
  This package contains header files and the static library needed
  to develop IMAP applications that interface with the Cyrus IMAPd suite.
@@ -235,9 +251,7 @@
 
 Package: cyrus-common
 Architecture: all
-Depends: ${misc:Depends}, adduser, db-util, db4.7-util, db4.8-util, db5.1-util
-Conflicts: cyrus-common-2.2 (<< 2.2.13p1-9~), cyrus-common-2.4 (<< 2.4.8-6~)
-Replaces: cyrus-common-2.2 (<< 2.2.13p1-9~), cyrus-common-2.4 (<< 2.4.8-6~)
+Depends: ${misc:Depends}, adduser, db-util, db-upgrade-util
 Description: Cyrus mail system - common files
  Cyrus is an IMAP server designed to handle massive quantities of mail,
  with a number of features not found in other IMAP implementations,
@@ -264,6 +278,26 @@
 Package: libcyrus-imap-perl24
 Architecture: any
 Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Provides: libcyrus-imap-perl, libcyrus-imap-perl22, libcyrus-imap-perl23
-Conflicts: libcyrus-imap-perl (<< ${source:Version}), libcyrus-imap-perl22 (<< 2.4), libcyrus-imap-perl23 (<< 2.4)
-Replaces: libcyrus-imap-perl (<< ${source:Version}), libcyrus-imap-perl22 (<< 2.4), libcyrus-imap-perl23 (<< 2.4)
+Provides: libcyrus-imap-perl
+Conflicts: libcyrus-imap-perl (<< ${source:Version})
+Replaces: libcyrus-imap-perl (<< ${source:Version})
+Section: perl
+Description: Interface to Cyrus imap client imclient library
+ The Cyrus::IMAP module provides an interface to the Cyrus imclient
+ library.  These are primarily useful for implementing cyradm operations
+ within a Perl script; there are easier ways to implement general client
+ operations, although they may be more limited in terms of authentication
+ options when talking to a Cyrus imapd.
+ .
+ The modules that compose Cyrus::SIEVE are also included, but they are
+ undocumented upstream.
+ .
+ For more information, please see the cyrus-common-2.4 package.
+
+Package: cyrus-clients
+Architecture: all
+Depends: cyrus-clients-2.4, ${misc:Depends}
+Description: Cyrus mail system - test clients (metapackage)
+ This is an empty package that depends on the current "best" version
+ of cyrus-clients (currently cyrus-clients-2.4), as determined by the
+ Cyrus IMAPD maintainers.  Install this package if in doubt about
